---
title: "MigustoArticlePreview returns detailed information about a single article identified by its slug or its ID."
url: "https://developer.migros.ch/apis/content-search-api-prod-v1/versions/91af33ef-c15b-4385-bee3-2bafb1c92034/operations/ContentSearch_MigustoArticlePreview"
---

> Full API specification: https://developer.migros.ch/apis/content-search-api-prod-v1/versions/91af33ef-c15b-4385-bee3-2bafb1c92034.md

# MigustoArticlePreview returns detailed information about a single article identified by its slug or its ID.

`GET` `/migros/contentsearch/v1/preview/migusto/article/{slugOrId}`

Operation ID: `ContentSearch_MigustoArticlePreview`

## Path parameters

- `slugOrId` (string, required) - Required. Path parameter for the article item. Represents either the slug or the ID of the article item. Only one value should be provided.

## Query parameters

- `language` (string, optional) - Optional. Specifies the language in which the article should be returned. If not provided, the default language is German.

## Responses

- `200` - A successful response.
- `default` - An unexpected error response.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: ContentSearch API PROD
  version: v1.114.1
servers:
  - url: https://api.migros.ch
paths:
  /migros/contentsearch/v1/preview/migusto/article/{slugOrId}:
    get:
      operationId: ContentSearch_MigustoArticlePreview
      parameters:
        - description: >-
            Required. Path parameter for the article item.

            Represents either the slug or the ID of the article item. Only one
            value

            should be provided.
          in: path
          name: slugOrId
          required: true
          schema:
            type: string
        - description: |-
            Optional. Specifies the language in which the article should be
            returned. If not provided, the default language is German.
          in: query
          name: language
          required: false
          schema:
            default: DE
            enum:
              - DE
              - FR
              - IT
              - EN
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                allOf:
                  - $ref: "#/components/schemas/contentsearchMigustoArticleResponse"
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                allOf:
                  - $ref: "#/components/schemas/googlerpcStatus"
          description: An unexpected error response.
      security:
        - apiKeyAuth: []
      summary: >-
        MigustoArticlePreview returns detailed information about a single
        article

        identified by its slug or its ID.
      tags:
        - ContentSearch
security:
  - apiKeyAuth: []
components:
  schemas:
    contentsearchMigustoArticleResponse:
      properties:
        article:
          allOf:
            - $ref: "#/components/schemas/consolcontentsearchMigustoArticle"
          description: Optional. The article matching the requested criteria.
      type: object
    googlerpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            allOf:
              - $ref: "#/components/schemas/protobufAny"
            type: object
          type: array
        message:
          type: string
      type: object
    consolcontentsearchMigustoArticle:
      properties:
        content:
          title: Required. Content (teaser text) of the article
          type: string
        hasVideo:
          description: Required. Indicates whether the article has a stage video.
          type: boolean
        highlight:
          title: >-
            Optional. Titles with highlighted title fragments for search term
            matches.

            Only present for autocomplete searches

            Example: "Die beliebtesten Eigenmarken: Typisch <b>Migros</b>"
          type: string
        id:
          title: Required. ID of the article
          type: string
        image:
          allOf:
            - $ref: "#/components/schemas/contentsearchImage"
          title: Required. Image of the article
        slug:
          description: Required. The slug used to build the article detail route.
          type: string
        tags:
          items:
            allOf:
              - $ref: "#/components/schemas/contentsearchCategoryTag"
            type: object
          title: Required. Tags of the article
          type: array
        title:
          title: Required. Title of the article
          type: string
        updatedAt:
          format: date-time
          title: Required. UpdatedAt timestamp of the article
          type: string
      type: object
    protobufAny:
      additionalProperties: {}
      properties:
        "@type":
          type: string
      type: object
    contentsearchImage:
      properties:
        altText:
          type: string
        caption:
          type: string
        credits:
          type: string
        focalPoint:
          allOf:
            - $ref: "#/components/schemas/ImagePoint"
        height:
          format: int64
          type: string
        id:
          type: string
        mimeType:
          type: string
        shortCaption:
          type: string
        url:
          type: string
        width:
          format: int64
          type: string
      type: object
    contentsearchCategoryTag:
      properties:
        category:
          type: string
        id:
          type: string
        title:
          type: string
      type: object
    ImagePoint:
      properties:
        x:
          format: int64
          type: string
        y:
          format: int64
          type: string
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-Api-Key
      type: apiKey
```
